import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Specifies a listener for an Application Load Balancer, Network Load Balancer, or Gateway Load Balancer.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-elasticloadbalancingv2-listener.html">the AWS Docs</a>
*/
export function listener(listenerProps) {
    return new AwsResource('AWS::ElasticLoadBalancingV2::Listener', listenerProps, { ListenerArn: 'ListenerArn' });
}
